Bug 222029 - s-c-n renames -range configuration files
s-c-n renames -range configuration files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-network (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-09 12:51 EST by Bastien Nocera
Modified: 2010-10-22 03:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0739
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:59:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-01-09 12:51:08 EST
system-config-network-1.3.22.0.EL.4.2-1

$ cat /etc/sysconfig/network-scripts/ifcfg-eth1
DEVICE=eth1
BOOTPROTO=static
HWADDR=
IPADDR=53.62.233.130
NETMASK=255.255.255.192
GATEWAY=53.62.233.129
ONBOOT=yes
TYPE=Ethernet
NOZEROCONF=yes

$ cat /etc/sysconfig/network-scripts/ifcfg-eth1-range0
IPADDR_START=53.62.233.131
IPADDR_END=53.62.233.190
CLONENUM_START=0
TYPE=Unbekannt
DEVICE=eth1-range0
BOOTPROTO=dhcp

initscripts expects the "-range" suffix, whereas system-config-network doesn't
know anything about it, and will rename the files:

1.55         (harald   18-Jun-03):         chdev = {}
1.55         (harald   18-Jun-03):         # the initscripts do not like '-'
1.55         (harald   18-Jun-03):         for dev in self:
1.55         (harald   18-Jun-03):             newDeviceId = re.sub('-', '_',
dev.DeviceId)
1.55         (harald   18-Jun-03):             if newDeviceId != dev.DeviceId:
1.55         (harald   18-Jun-03):                 chdev[dev.DeviceId] = newDeviceId
1.55         (harald   18-Jun-03):                 #log.log(4, "%s != %s" %
(newDeviceId, dev.DeviceId))
1.55         (harald   18-Jun-03):                 # Fixed change device names
in active list of all profiles
1.55         (harald   18-Jun-03):                 profilelist =
netconfpkg.NCProfileList.getProfileList()
1.55         (harald   18-Jun-03):
1.55         (harald   18-Jun-03):                 for prof in profilelist:
1.55         (harald   18-Jun-03):                     #log.log(4,
str(prof.ActiveDevices))
1.55         (harald   18-Jun-03):                     if dev.DeviceId in
prof.ActiveDevices:
1.55         (harald   18-Jun-03):                         pos =
prof.ActiveDevices.index(dev.DeviceId)
1.55         (harald   18-Jun-03):                        
prof.ActiveDevices[pos] = newDeviceId
1.55         (harald   18-Jun-03):                         #log.log(4, "changed
%s" % (prof.ActiveDevices[pos]))
1.55         (harald   18-Jun-03):                         #log.log(4,
str(prof.ActiveDevices))
1.55         (harald   18-Jun-03):                         prof.commit()
1.55         (harald   18-Jun-03):                        
1.55         (harald   18-Jun-03):                 dev.DeviceId = newDeviceId
1.55         (harald   18-Jun-03):                 dev.commit()

It should only do so if the suffix isn't "-range"
See also bug 221292 for the RHEL5 issue.
Comment 2 RHEL Product and Program Management 2007-05-21 18:24:59 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 13 errata-xmlrpc 2008-07-24 15:59:30 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0739.html

Note You need to log in before you can comment on or make changes to this bug.